import { TextFieldProps } from "@mui/material";
import { ReactElement } from "react";
export interface NerdCodeFieldInterface {
    /**
     * Length of the OTP code
     */
    length: number;
    /**
     * On change handler
     */
    onChange: (c: string) => void;
    /**
     * value
     */
    value: string;
    /**
     * Textfields becomes red if error is true. (OTP code is incorrect).
     */
    error: boolean;
    /**
     * Additionnal props to control the style of textfields.
     */
    TextfieldProps?: TextFieldProps;
}
/**
 * NerdCodeField: A component that displays multiple inputs for a one-time-code.
 *
 * @param {{length, onChange, value, error, TextfieldProps}} params List of params
 * @returns {React.ReactElement} Returns the CodeField component
 */
export default function NerdCodeField({ length, onChange, value, error, TextfieldProps, }: NerdCodeFieldInterface): ReactElement;
