import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Dialog, DialogTitle, DialogContent, DialogActions, } from "@mui/material";
import { useRef } from "react";
import { Button } from "@mui/joy";
/**
 * NerdConfirmDialog
 *
 * @param {NerdConfirmDialogProps} props component props
 * @returns {ReactElement} NerdConfirmDialog
 */
export function NerdConfirmDialog(props) {
    const { closeDialog, open, options } = props;
    const { content, title, cancelButtonProps, cancelButtonText, confirmButtonProps, confirmButtonText, contentProps, dialogProps, titleProps, actionsProps, onCancel, onConfirm, } = options;
    const actionRef = useRef(null);
    const onEntered = () => actionRef?.current?.focusVisible();
    return (_jsxs(Dialog, { ...dialogProps, open: open, onClose: closeDialog, TransitionProps: { onEntered }, children: [title && _jsx(DialogTitle, { ...titleProps, children: title }), content && _jsx(DialogContent, { ...contentProps, children: content }), _jsxs(DialogActions, { ...actionsProps, children: [_jsx(Button, { ...cancelButtonProps, onClick: () => {
                            onCancel?.();
                            closeDialog();
                        }, children: cancelButtonText }), _jsx(Button, { ...confirmButtonProps, action: (actions) => (actionRef.current = actions), onClick: () => {
                            onConfirm?.();
                            closeDialog();
                        }, children: confirmButtonText })] })] }));
}
