import { WidgetType } from "@codemirror/view";
import type { EditorView } from "@codemirror/view";
export declare class BulletListWidget extends WidgetType {
    readonly id: string;
    readonly text: string;
    readonly nested: boolean;
    readonly level: number;
    readonly offset: number;
    constructor(id: string, text: string, nested: boolean, level: number, offset: number);
    eq(other: BulletListWidget): boolean;
    toDOM(): HTMLSpanElement;
    ignoreEvent(): boolean;
    destroy(dom: HTMLElement): void;
}
export declare class TaskWidget extends WidgetType {
    readonly id: string;
    readonly text: string;
    readonly from: number;
    readonly to: number;
    constructor(id: string, text: string, from: number, to: number);
    eq(other: TaskWidget): boolean;
    toDOM(view: EditorView): HTMLSpanElement;
    ignoreEvent(): boolean;
    destroy(dom: HTMLElement): void;
}
export declare class MarkdownWidget extends WidgetType {
    readonly id: string;
    readonly text: string;
    constructor(id: string, text: string);
    eq(other: MarkdownWidget): boolean;
    toDOM(): HTMLSpanElement;
    ignoreEvent(): boolean;
    destroy(dom: HTMLElement): void;
}
export declare class MarkdownTextDirectiveWidget extends WidgetType {
    readonly id: string;
    readonly text: string;
    constructor(id: string, text: string);
    eq(other: MarkdownTextDirectiveWidget): boolean;
    toDOM(): HTMLSpanElement;
    ignoreEvent(): boolean;
    destroy(dom: HTMLElement): void;
}
